:begin
ECHO OFF
ECHO ===================================
ECHO ICON MANAGER - Installation Utility
ECHO ===================================
ECHO 
IF "%1"=="" GOTO nodrive
SET IMPATH=ICONS
IF "%2"=="" GOTO nopath
SET IMPATH=%2
:nopath
IF NOT EXIST %1\%IMPATH%\NUL GOTO cont1
GOTO cont2
:cont1
MD %1\%IMPATH% >NUL
:cont2
IF NOT EXIST ICONMAN.EXE GOTO wrongdir
ECHO Installing Icon Manager to %1\%IMPATH%
ECHO Copying program file...
COPY ICONMAN.EXE %1\%IMPATH% >NUL
ECHO Copying support files...
COPY ICONMAN.WRI %1\%IMPATH% >NUL
COPY 32X32.BMP %1\%IMPATH% >NUL
ECHO Copying text files...
COPY ORDER.TXT %1\%IMPATH% >NUL
COPY README.1ST %1\%IMPATH% >NUL
IF NOT EXIST *.ICA GOTO cont3
ECHO Copying icon archive files...
COPY *.ICA %1\%IMPATH% >NUL
:cont3
ECHO 
ECHO Installation complete!
ECHO 
ECHO Please review the ASCII text file README.1ST by either printing
ECHO the file or viewing with an ASCII text editor such as Windows
ECHO Notepad.  An operations manual is included in the file ICONMAN.WRI,
ECHO formatted for use with Windows Write.
GOTO end
:wrongdir
ECHO Cannot find file ICONMAN.EXE.  Please check to make sure that the
ECHO current directory is set to the floppy drive containing the
ECHO installation diskette.
GOTO end
:nodrive
ECHO 
ECHO                  Directions for using INSTALL
ECHO                  ----------------------------
ECHO 
ECHO Enter the disk drive to install to on the command line.
ECHO 
ECHO                      Example:  INSTALL C:
ECHO 
ECHO You may additionally specify a sub-directory (e.g., INSTALL D: MYDIR),
ECHO otherwise the installation will be performed using "ICONS" as the
ECHO sub-directory.
:end
ECHO 
ECHO End INSTALL

